Qiita Teams that are logged in
You are not logged in to any team

Log in to Qiita Team
Community
OrganizationEventAdvent CalendarQiitadon (β)
Service
Qiita JobsQiita ZineQiita Blog
3
Help us understand the problem. What are the problem?

More than 3 years have passed since last update.

posted at

updated at

SmartGit > Ubuntu 16.04 LTSにセットアップ | JREを使う

動作環境
GeForce GTX 1070 (8GB)
ASRock Z170M Pro4S [Intel Z170chipset]
Ubuntu 16.04 LTS desktop amd64
TensorFlow v1.2.1
cuDNN v5.1 for Linux
CUDA v8.0
Python 3.5.2
IPython 6.0.0 -- An enhanced Interactive Python.
gcc (Ubuntu 5.4.0-6ubuntu1~16.04.4) 5.4.0 20160609
GNU bash, version 4.3.48(1)-release (x86_64-pc-linux-gnu)
scipy v0.19.1
geopandas v0.3.0
MATLAB R2017b (Home Edition)

SmartGitはWindows上の開発環境で使うGitクライアントになっている。
Linux上でも使いたいと思うようになった。

関連情報

JREを使うようだ。

セットアップ

Ry0 Noteさんの情報のまま実行するとエラーとなった。
(oracle-java8-installerの部分)。

以下とすることでエラーなくセットアップできることを確認した。

$sudo add-apt-repository ppa:webupd8team/java
$sudo apt-get update
$sudo apt-get install default-jre
$sudo add-apt-repository ppa:eugenesan/ppa
$sudo apt-get update
$281 sudo apt-get install smartgit

セットアップ後、/usr/bin/smartgitに実行ファイルがある。

注意点

JRE(Java Runtime Environment)を使用する。

JREのメンテナンスとsmartgit利用の利点を検討する。

Why not register and get more from Qiita?
  1. We will deliver articles that match you
    By following users and tags, you can catch up information on technical fields that you are interested in as a whole
  2. you can read useful information later efficiently
    By "stocking" the articles you like, you can search right away
3
Help us understand the problem. What are the problem?